Bug 14194 - Date due for on-site checkouts defaults to 00:00 for hh:mm
Summary: Date due for on-site checkouts defaults to 00:00 for hh:mm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13601
Blocks: 14045
  Show dependency treegraph
 
Reported: 2015-05-13 13:39 UTC by Jonathan Druart
Modified: 2015-12-03 22:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14194: Restore the HH:MM to 23:59 for onsite-checkouts (1.75 KB, patch)
2015-05-13 13:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14194: Restore the HH:MM to 23:59 for onsite-checkouts (1.76 KB, patch)
2015-05-13 14:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14194: Restore the HH:MM to 23:59 for onsite-checkouts (2.19 KB, patch)
2015-05-13 15:53 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
[PASSED QA] Bug 14194: Restore the HH:MM to 23:59 for onsite-checkouts (2.26 KB, patch)
2015-05-14 15:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-05-13 13:39:35 UTC
Introduced by bug 13601.

To reproduce:
1/ Enable On-site checkouts
2/ Go on the checkouts page
3/ Click on the "On-site checkout" checkbox
=> The default date due is today with 00:00 as hh:mm instead of 23:59
Comment 1 Jonathan Druart 2015-05-13 13:56:42 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-05-13 14:41:50 UTC Comment hidden (obsolete)
Comment 3 Indranil Das Gupta 2015-05-13 15:53:45 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-05-14 15:06:16 UTC
Created attachment 39187 [details] [review]
[PASSED QA] Bug 14194: Restore the HH:MM to 23:59 for onsite-checkouts

(Introduced by bug 13601)

Test plan
=========
1/ enable 'OnSiteCheckouts' pref under Circulation Preferences
2/ go to the checkouts page and try to issue an item to any user.
3/ when the item barcode entry form shows, select the 'On-site
   checkout' checkbox
4/ the default date due should show as today with 00:00 as HH:MM
5/ apply the patch
6/ repeat steps 2 - 3. The default date due should show today's
   date with 23:59 as HH:MM.
7/ run koha-qa.pl -c 1 -v 2

Remarks: Testing result match expected test plan output. The QA tests
         pass with "OK" for the commit.

Technical note: There is a confusion with iso and sql date formats at
some places in the code.
A better way should be provided (later) to fix globally the mismatch
between these 2 formats.
What happened before this patch: the DateTime was cast to a string and
the template received "YYYY-MM-DDTHH:MM:SS" which is an iso formatted
date. BUT this format is not managed by Koha::DateUtils::output_pref
("iso" and "sql" are considered as indentical which is wrong).
As I did not estimated the problem (how big it is) I prefer to fix it
easily (and dirty) for now.

Signed-off-by: Indranil Das Gupta (L2C2 Technologies) <indradg@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-05-14 15:15:22 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 6 Chris Cormack 2015-05-17 23:20:55 UTC
Pushed to 3.18.x will be in 3.18.7